Ab WordPress 5.8 steht der Blockeditor auch für den Widget-Bereich zur Verfügung. Teilweise gibt es mit einigen Plugins/Widgets noch Probleme. In diesem Fall lässt sich der Blockeditor (nur für die Widgets) abschalten.